diff -aruN --binary 16/language/ca-ES/ca-ES.mod_search.ini 17/language/ca-ES/ca-ES.mod_search.ini
--- 16/language/ca-ES/ca-ES.mod_search.ini	2009-01-10 20:51:48.000000000 +0100
+++ 17/language/ca-ES/ca-ES.mod_search.ini	2010-04-24 14:24:04.000000000 +0200
@@ -1,7 +1,8 @@
 # $Id: ca-ES.mod_search.ini 11391 2009-01-10 20:50:35Z dverger $
 # Joomla! Catalan Translation
-# Copyright (C) 2005 - 2009 Open Source Matters. All rights reserved.
+# Copyright (C) 2005 - 2010 Open Source Matters. All rights reserved.
 # Copyright (C) Translation 2008 - 2009  Catalan Joomla Translation Team - joomla.cat
+# Copyright (C) Translation 2010  Softcatalà
 # license http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL, see LICENSE.php
 
 # Note : All ini files need to be saved as UTF-8
@@ -20,6 +21,7 @@
 SEARCH...=cerca...
 SEARCH MODULE=Mòdul de cerca
 SET ITEMID=Estableix l'ItemID
+PARAMSETITEMID=Assigna un identificador d'ítem per a la visualització dels resultats de cerca si no hi ha cap menú com_search i voleu una visualització concreta. Podeu triar aquest identificador d'ítem entre els disponibles al Gestor de menús. Si no sabeu el que això significa probablement no ho necessiteu.
 SIZE OF THE SEARCH TEXT BOX IN CHARACTERS=Mida del quadre de cerca en caràcters
 TEXT=Text
 THIS MODULE WILL DISPLAY A SEARCH BOX=Aquest mòdul mostra un quadre de cerca.
diff -aruN --binary 16/language/ca-ES/ca-ES.mod_sections.ini 17/language/ca-ES/ca-ES.mod_sections.ini
--- 16/language/ca-ES/ca-ES.mod_sections.ini	2008-12-31 20:43:24.000000000 +0100
+++ 17/language/ca-ES/ca-ES.mod_sections.ini	2010-04-24 14:24:24.000000000 +0200
@@ -1,7 +1,8 @@
 # $Id: ca-ES.mod_sections.ini 10498 2008-07-24 00:29:27Z dverger $
 # Joomla! Catalan Translation
-# Copyright (C) 2005 - 2008 Open Source Matters. All rights reserved.
-# Copyright (C) Translation 2008  Catalan Joomla Translation Team - joomla.cat
+# Copyright (C) 2005 - 2010 Open Source Matters. All rights reserved.
+# Copyright (C) Translation 2008 - 2009  Catalan Joomla Translation Team - joomla.cat
+# Copyright (C) Translation 2010  Softcatalà
 # license http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL, see LICENSE.php
 
 # Note : All ini files need to be saved as UTF-8
diff -aruN --binary 16/language/ca-ES/ca-ES.mod_stats.ini 17/language/ca-ES/ca-ES.mod_stats.ini
--- 16/language/ca-ES/ca-ES.mod_stats.ini	2008-12-31 20:43:50.000000000 +0100
+++ 17/language/ca-ES/ca-ES.mod_stats.ini	2010-04-24 14:24:48.000000000 +0200
@@ -1,7 +1,8 @@
 # $Id: ca-ES.mod_stats.ini 10498 2008-07-24 00:46:12Z dverger $
 # Joomla! Catalan Translation
-# Copyright (C) 2005 - 2008 Open Source Matters. All rights reserved.
-# Copyright (C) Translation 2008  Catalan Joomla Translation Team - joomla.cat
+# Copyright (C) 2005 - 2010 Open Source Matters. All rights reserved.
+# Copyright (C) Translation 2008 - 2009  Catalan Joomla Translation Team - joomla.cat
+# Copyright (C) Translation 2010  Softcatalà
 # license http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL, see LICENSE.php
 
 # Note : All ini files need to be saved as UTF-8
diff -aruN --binary 16/language/ca-ES/ca-ES.mod_syndicate.ini 17/language/ca-ES/ca-ES.mod_syndicate.ini
--- 16/language/ca-ES/ca-ES.mod_syndicate.ini	2008-12-31 20:44:22.000000000 +0100
+++ 17/language/ca-ES/ca-ES.mod_syndicate.ini	2010-04-24 14:25:16.000000000 +0200
@@ -1,7 +1,8 @@
 # $Id: ca-ES.mod_syndicate.ini 10388 2008-07-24 00:47:18Z dverger $
 # Joomla! Catalan Translation
-# Copyright (C) 2005 - 2008 Open Source Matters. All rights reserved.
-# Copyright (C) Translation 2008  Catalan Joomla Translation Team - joomla.cat
+# Copyright (C) 2005 - 2010 Open Source Matters. All rights reserved.
+# Copyright (C) Translation 2008 - 2009  Catalan Joomla Translation Team - joomla.cat
+# Copyright (C) Translation 2010  Softcatalà
 # license http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL, see LICENSE.php
 
 # Note : All ini files need to be saved as UTF-8
diff -aruN --binary 16/language/ca-ES/ca-ES.mod_whosonline.ini 17/language/ca-ES/ca-ES.mod_whosonline.ini
--- 16/language/ca-ES/ca-ES.mod_whosonline.ini	2008-12-31 20:44:46.000000000 +0100
+++ 17/language/ca-ES/ca-ES.mod_whosonline.ini	2010-04-24 14:25:46.000000000 +0200
@@ -1,7 +1,8 @@
 # $Id: ca-ES.mod_whosonline.ini 10498 2008-07-24 00:50:46Z dverger $
 # Joomla! Catalan Translation
-# Copyright (C) 2005 - 2008 Open Source Matters. All rights reserved.
-# Copyright (C) Translation 2008  Catalan Joomla Translation Team - joomla.cat
+# Copyright (C) 2005 - 2010 Open Source Matters. All rights reserved.
+# Copyright (C) Translation 2008 - 2009  Catalan Joomla Translation Team - joomla.cat
+# Copyright (C) Translation 2010  Softcatalà
 # license http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL, see LICENSE.php
 
 # Note : All ini files need to be saved as UTF-8
diff -aruN --binary 16/language/ca-ES/ca-ES.mod_wrapper.ini 17/language/ca-ES/ca-ES.mod_wrapper.ini
--- 16/language/ca-ES/ca-ES.mod_wrapper.ini	2008-12-31 20:45:06.000000000 +0100
+++ 17/language/ca-ES/ca-ES.mod_wrapper.ini	2010-04-24 14:26:06.000000000 +0200
@@ -1,7 +1,8 @@
 # $Id: ca-ES.mod_wrapper.ini 10498 2008-07-24 00:55:09Z dverger $
 # Joomla! Catalan Translation
-# Copyright (C) 2005 - 2008 Open Source Matters. All rights reserved.
-# Copyright (C) Translation 2008  Catalan Joomla Translation Team - joomla.cat
+# Copyright (C) 2005 - 2010 Open Source Matters. All rights reserved.
+# Copyright (C) Translation 2008 - 2009  Catalan Joomla Translation Team - joomla.cat
+# Copyright (C) Translation 2010  Softcatalà
 # license http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL, see LICENSE.php
 
 # Note : All ini files need to be saved as UTF-8
diff -aruN --binary 16/language/ca-ES/ca-ES.plg_content_pagebreak.ini 17/language/ca-ES/ca-ES.plg_content_pagebreak.ini
--- 16/language/ca-ES/ca-ES.plg_content_pagebreak.ini	2009-03-13 23:32:32.000000000 +0100
+++ 17/language/ca-ES/ca-ES.plg_content_pagebreak.ini	2010-04-24 14:26:28.000000000 +0200
@@ -1,7 +1,8 @@
 # $Id: ca-ES.plg_content_pagebreak.ini 11654 2009-03-13 23:33:32Z dverger $
 # Joomla! Catalan Translation
-# Copyright (C) 2005 - 2009 Open Source Matters. All rights reserved.
+# Copyright (C) 2005 - 2010 Open Source Matters. All rights reserved.
 # Copyright (C) Translation 2008 - 2009  Catalan Joomla Translation Team - joomla.cat
+# Copyright (C) Translation 2010  Softcatalà
 # license http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL, see LICENSE.php
 
 # Note : All ini files need to be saved as UTF-8
diff -aruN --binary 16/language/ca-ES/ca-ES.plg_content_vote.ini 17/language/ca-ES/ca-ES.plg_content_vote.ini
--- 16/language/ca-ES/ca-ES.plg_content_vote.ini	2008-12-31 20:45:28.000000000 +0100
+++ 17/language/ca-ES/ca-ES.plg_content_vote.ini	2010-04-24 14:26:58.000000000 +0200
@@ -1,7 +1,8 @@
 # $Id: ca-ES.plg_content_vote.ini 10388 2008-07-24 00:57:32Z dverger $
 # Joomla! Catalan Translation
-# Copyright (C) 2005 - 2008 Open Source Matters. All rights reserved.
-# Copyright (C) Translation 2008  Catalan Joomla Translation Team - joomla.cat
+# Copyright (C) 2005 - 2010 Open Source Matters. All rights reserved.
+# Copyright (C) Translation 2008 - 2009  Catalan Joomla Translation Team - joomla.cat
+# Copyright (C) Translation 2010  Softcatalà
 # license http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL, see LICENSE.php
 
 # Note : All ini files need to be saved as UTF-8
diff -aruN --binary 16/language/ca-ES/ca-ES.plg_search_categories.ini 17/language/ca-ES/ca-ES.plg_search_categories.ini
--- 16/language/ca-ES/ca-ES.plg_search_categories.ini	2008-12-31 20:45:52.000000000 +0100
+++ 17/language/ca-ES/ca-ES.plg_search_categories.ini	2010-04-24 14:27:22.000000000 +0200
@@ -1,7 +1,8 @@
 # $Id: ca-ES.plg_search_categories.ini 10388 2008-07-24 01:00:58Z dverger $
 # Joomla! Catalan Translation
-# Copyright (C) 2005 - 2008 Open Source Matters. All rights reserved.
-# Copyright (C) Translation 2008  Catalan Joomla Translation Team - joomla.cat
+# Copyright (C) 2005 - 2010 Open Source Matters. All rights reserved.
+# Copyright (C) Translation 2008 - 2009  Catalan Joomla Translation Team - joomla.cat
+# Copyright (C) Translation 2010  Softcatalà
 # license http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL, see LICENSE.php
 
 # Note : All ini files need to be saved as UTF-8
diff -aruN --binary 16/language/ca-ES/ca-ES.plg_search_contacts.ini 17/language/ca-ES/ca-ES.plg_search_contacts.ini
--- 16/language/ca-ES/ca-ES.plg_search_contacts.ini	2008-12-31 20:46:18.000000000 +0100
+++ 17/language/ca-ES/ca-ES.plg_search_contacts.ini	2010-04-24 14:27:46.000000000 +0200
@@ -1,7 +1,8 @@
 # $Id: ca-ES.plg_search_contacts.ini 10388 2008-07-24 01:02:13Z dverger $
 # Joomla! Catalan Translation
-# Copyright (C) 2005 - 2008 Open Source Matters. All rights reserved.
-# Copyright (C) Translation 2008  Catalan Joomla Translation Team - joomla.cat
+# Copyright (C) 2005 - 2010 Open Source Matters. All rights reserved.
+# Copyright (C) Translation 2008 - 2009  Catalan Joomla Translation Team - joomla.cat
+# Copyright (C) Translation 2010  Softcatalà
 # license http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL, see LICENSE.php
 
 # Note : All ini files need to be saved as UTF-8
diff -aruN --binary 16/language/ca-ES/ca-ES.plg_search_content.ini 17/language/ca-ES/ca-ES.plg_search_content.ini
--- 16/language/ca-ES/ca-ES.plg_search_content.ini	2008-12-31 20:46:42.000000000 +0100
+++ 17/language/ca-ES/ca-ES.plg_search_content.ini	2010-04-24 14:28:08.000000000 +0200
@@ -1,7 +1,8 @@
 # $Id: ca-ES.plg_search_content.ini 10388 2008-07-24 01:02:49Z dverger $
 # Joomla! Catalan Translation
-# Copyright (C) 2005 - 2008 Open Source Matters. All rights reserved.
-# Copyright (C) Translation 2008  Catalan Joomla Translation Team - joomla.cat
+# Copyright (C) 2005 - 2010 Open Source Matters. All rights reserved.
+# Copyright (C) Translation 2008 - 2009  Catalan Joomla Translation Team - joomla.cat
+# Copyright (C) Translation 2010  Softcatalà
 # license http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL, see LICENSE.php
 
 # Note : All ini files need to be saved as UTF-8
diff -aruN --binary 16/language/ca-ES/ca-ES.plg_search_newsfeeds.ini 17/language/ca-ES/ca-ES.plg_search_newsfeeds.ini
--- 16/language/ca-ES/ca-ES.plg_search_newsfeeds.ini	2008-12-31 20:47:10.000000000 +0100
+++ 17/language/ca-ES/ca-ES.plg_search_newsfeeds.ini	2010-04-24 14:28:28.000000000 +0200
@@ -1,7 +1,8 @@
 # $Id: ca-ES.plg_search_newsfeeds.ini 10388 2008-07-24 01:03:35Z dverger $
 # Joomla! Catalan Translation
-# Copyright (C) 2005 - 2008 Open Source Matters. All rights reserved.
-# Copyright (C) Translation 2008  Catalan Joomla Translation Team - joomla.cat
+# Copyright (C) 2005 - 2010 Open Source Matters. All rights reserved.
+# Copyright (C) Translation 2008 - 2009  Catalan Joomla Translation Team - joomla.cat
+# Copyright (C) Translation 2010  Softcatalà
 # license http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL, see LICENSE.php
 
 # Note : All ini files need to be saved as UTF-8
diff -aruN --binary 16/language/ca-ES/ca-ES.plg_search_sections.ini 17/language/ca-ES/ca-ES.plg_search_sections.ini
--- 16/language/ca-ES/ca-ES.plg_search_sections.ini	2008-12-31 20:47:36.000000000 +0100
+++ 17/language/ca-ES/ca-ES.plg_search_sections.ini	2010-04-24 14:28:54.000000000 +0200
@@ -1,7 +1,8 @@
 # $Id: ca-ES.plg_search_sections.ini 10388 2008-07-24 01:03:54Z dverger $
 # Joomla! Catalan Translation
-# Copyright (C) 2005 - 2008 Open Source Matters. All rights reserved.
-# Copyright (C) Translation 2008  Catalan Joomla Translation Team - joomla.cat
+# Copyright (C) 2005 - 2010 Open Source Matters. All rights reserved.
+# Copyright (C) Translation 2008 - 2009  Catalan Joomla Translation Team - joomla.cat
+# Copyright (C) Translation 2010  Softcatalà
 # license http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL, see LICENSE.php
 
 # Note : All ini files need to be saved as UTF-8
diff -aruN --binary 16/language/ca-ES/ca-ES.plg_search_weblinks.ini 17/language/ca-ES/ca-ES.plg_search_weblinks.ini
--- 16/language/ca-ES/ca-ES.plg_search_weblinks.ini	2008-12-31 20:48:02.000000000 +0100
+++ 17/language/ca-ES/ca-ES.plg_search_weblinks.ini	2010-04-24 14:29:24.000000000 +0200
@@ -1,7 +1,8 @@
 # $Id: ca-ES.plg_search_weblinks.ini 10388 2008-07-24 01:04:49Z dverger $
 # Joomla! Catalan Translation
-# Copyright (C) 2005 - 2008 Open Source Matters. All rights reserved.
-# Copyright (C) Translation 2008  Catalan Joomla Translation Team - joomla.cat
+# Copyright (C) 2005 - 2010 Open Source Matters. All rights reserved.
+# Copyright (C) Translation 2008 - 2009  Catalan Joomla Translation Team - joomla.cat
+# Copyright (C) Translation 2010  Softcatalà
 # license http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL, see LICENSE.php
 
 # Note : All ini files need to be saved as UTF-8
diff -aruN --binary 16/language/ca-ES/ca-ES.plg_system_debug.ini 17/language/ca-ES/ca-ES.plg_system_debug.ini
--- 16/language/ca-ES/ca-ES.plg_system_debug.ini	2008-12-31 20:48:42.000000000 +0100
+++ 17/language/ca-ES/ca-ES.plg_system_debug.ini	2010-04-24 14:29:52.000000000 +0200
@@ -1,7 +1,8 @@
 # $Id: ca-ES.plg_system_debug.ini 10457 2008-07-24 01:16:27Z dverger $
 # Joomla! Catalan Translation
-# Copyright (C) 2005 - 2008 Open Source Matters. All rights reserved.
-# Copyright (C) Translation 2008  Catalan Joomla Translation Team - joomla.cat
+# Copyright (C) 2005 - 2010 Open Source Matters. All rights reserved.
+# Copyright (C) Translation 2008 - 2009  Catalan Joomla Translation Team - joomla.cat
+# Copyright (C) Translation 2010  Softcatalà
 # license http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL, see LICENSE.php
 
 # Note : All ini files need to be saved as UTF-8
diff -aruN --binary 16/language/ca-ES/ca-ES.tpl_beez.ini 17/language/ca-ES/ca-ES.tpl_beez.ini
--- 16/language/ca-ES/ca-ES.tpl_beez.ini	2009-06-28 23:18:06.000000000 +0200
+++ 17/language/ca-ES/ca-ES.tpl_beez.ini	2010-04-24 14:30:26.000000000 +0200
@@ -1,7 +1,8 @@
 # $Id: ca-ES.tpl_beez.ini 12230 2009-06-28 23:17:10Z dverger $
 # Joomla! Catalan Translation
-# Copyright (C) 2005 - 2009 Open Source Matters. All rights reserved.
+# Copyright (C) 2005 - 2010 Open Source Matters. All rights reserved.
 # Copyright (C) Translation 2008 - 2009  Catalan Joomla Translation Team - joomla.cat
+# Copyright (C) Translation 2010  Softcatalà
 # license http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL, see LICENSE.php
 
 # Note : All ini files need to be saved as UTF-8
diff -aruN --binary 16/language/ca-ES/ca-ES.tpl_ja_purity.ini 17/language/ca-ES/ca-ES.tpl_ja_purity.ini
--- 16/language/ca-ES/ca-ES.tpl_ja_purity.ini	2008-12-31 20:49:56.000000000 +0100
+++ 17/language/ca-ES/ca-ES.tpl_ja_purity.ini	2010-04-24 14:30:54.000000000 +0200
@@ -1,7 +1,8 @@
 # $Id: ca-ES.tpl_ja_purity.ini 10498 2008-07-24 01:18:42Z dverger $
 # Joomla! Catalan Translation
-# Copyright (C) 2005 - 2008 Open Source Matters. All rights reserved.
-# Copyright (C) Translation 2008  Catalan Joomla Translation Team - joomla.cat
+# Copyright (C) 2005 - 2010 Open Source Matters. All rights reserved.
+# Copyright (C) Translation 2008 - 2009  Catalan Joomla Translation Team - joomla.cat
+# Copyright (C) Translation 2010  Softcatalà
 # license http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL, see LICENSE.php
 
 # Note : All ini files need to be saved as UTF-8
diff -aruN --binary 16/language/ca-ES/ca-ES.tpl_rhuk_milkyway.ini 17/language/ca-ES/ca-ES.tpl_rhuk_milkyway.ini
--- 16/language/ca-ES/ca-ES.tpl_rhuk_milkyway.ini	2008-12-31 20:50:24.000000000 +0100
+++ 17/language/ca-ES/ca-ES.tpl_rhuk_milkyway.ini	2010-04-24 14:31:18.000000000 +0200
@@ -1,7 +1,8 @@
 # $Id: ca-ES.tpl_rhuk_milkyway.ini 10388 2008-07-24 01:22:31Z dverger $
 # Joomla! Catalan Translation
-# Copyright (C) 2005 - 2008 Open Source Matters. All rights reserved.
-# Copyright (C) Translation 2008  Catalan Joomla Translation Team - joomla.cat
+# Copyright (C) 2005 - 2010 Open Source Matters. All rights reserved.
+# Copyright (C) Translation 2008 - 2009  Catalan Joomla Translation Team - joomla.cat
+# Copyright (C) Translation 2010  Softcatalà
 # license http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL, see LICENSE.php
 
 # Note : All ini files need to be saved as UTF-8
diff -aruN --binary 16/language/es-ES/es-ES.ini 17/language/es-ES/es-ES.ini
--- 16/language/es-ES/es-ES.ini	2010-04-24 22:44:56.000000000 +0200
+++ 17/language/es-ES/es-ES.ini	2010-04-28 00:45:14.000000000 +0200
@@ -1,4 +1,4 @@
-# $Id: es-ES.ini 1.5.0 2010-04-24 22:44:54 2007-10-06 ~0 $
+# $Id: es-ES.ini 1.5.0 2010-04-28 00:45:15 2007-10-06 ~0 $
 # author Joomla! Spanish
 # copyright (C) 2010 JoomlaSpanish.org  All rights reserved.
 # license http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
@@ -214,6 +214,8 @@
 MAIL_FUNCTION_DISABLED=La función mail() ha sido desactivada y no se se puede enviar
 MAIL_MSG=Por favor no responda a este mensaje, ya que es generado de forma automática y es utilizado solamente para propósitos informativos.
 MAIL_MSG_ADMIN=Hola %s,\n\n\nEnvio de un usuario %s:\n [ %s ]\nha sido enviado por el usuario:\n [ %s ]\npara %s.\n\n\n\nPor favor vaya a %s/%s para revisar y aprobar este %s.
+MAIL_MSG_ADMIN_ERROR_SUBJECT=Problema con el sitio de Joomla
+MAIL_MSG_ADMIN_ERROR=Cuando se intenta acceder %s, un error se detectó con %s  plugin %s y ha sido deshabilitado. Descripción técnica del error siguiente:
 MESSAGE=Mensaje
 METHOD=Método
 METHOD NOT FOUND:=Método no encontrado:
diff -aruN --binary 16/libraries/joomla/application/application.php 17/libraries/joomla/application/application.php
--- 16/libraries/joomla/application/application.php	2010-04-23 13:40:16.000000000 +0200
+++ 17/libraries/joomla/application/application.php	2010-04-27 03:31:16.000000000 +0200
@@ -1,6 +1,6 @@
 <?php
 /**
-* @version		$Id: application.php 16385 2010-04-23 10:44:15Z ian $
+* @version		$Id: application.php 16449 2010-04-25 21:17:31Z ian $
 * @package		Joomla.Framework
 * @subpackage	Application
 * @copyright	Copyright (C) 2005 - 2010 Open Source Matters. All rights reserved.
@@ -531,7 +531,8 @@
 
 			// we fork the session to prevent session fixation issues
 			$session->fork();
-
+			$this->_createSession($session->getId());
+			
 			// Import the user plugin group
 			JPluginHelper::importPlugin('user');
 
diff -aruN --binary 16/libraries/joomla/filesystem/folder.php 17/libraries/joomla/filesystem/folder.php
--- 16/libraries/joomla/filesystem/folder.php	2010-04-23 13:40:18.000000000 +0200
+++ 17/libraries/joomla/filesystem/folder.php	2010-04-27 03:31:16.000000000 +0200
@@ -1,6 +1,6 @@
 <?php
 /**
- * @version		$Id: folder.php 15203 2010-03-05 09:21:16Z ian $
+ * @version		$Id: folder.php 16421 2010-04-24 23:57:12Z dextercowley $
  * @package		Joomla.Framework
  * @subpackage	FileSystem
  * @copyright	Copyright (C) 2005 - 2010 Open Source Matters. All rights reserved.
@@ -564,16 +564,8 @@
 	function makeSafe($path)
 	{
 		$ds = (DS == '\\') ? '\\' . DS : DS;
-		$regex = array('#[^A-Za-z0-9:\_\-\.' . $ds . ' ]#');
-		$safepath = preg_replace($regex, '', $path);  // check if all chars are legal
-		$parts = explode('\\', $safepath);
-		$safepath = '';
-		foreach ($parts as $part) {
-		  if ( ($part !== '.') & ($part !== '..') ) {
-		    $safepath .=  '\\'. trim(str_replace('..', '.', $part),'.');
-		  }
-		}
-		return $safepath;
+		$regex = array('#[^A-Za-z0-9:\_\-' . $ds . ' ]#');
+		return preg_replace($regex, '', $path);
 	}
 
 }
\ No hay ningún carácter de nueva línea al final del fichero
diff -aruN --binary 16/libraries/joomla/plugin/helper.php 17/libraries/joomla/plugin/helper.php
--- 16/libraries/joomla/plugin/helper.php	2010-04-23 13:40:18.000000000 +0200
+++ 17/libraries/joomla/plugin/helper.php	2010-04-27 03:31:16.000000000 +0200
@@ -1,6 +1,6 @@
 <?php
 /**
-* @version		$Id: helper.php 16381 2010-04-23 09:28:44Z ian $
+* @version		$Id: helper.php 16503 2010-04-26 17:17:33Z dextercowley $
 * @package		Joomla.Framework
 * @subpackage	Plugin
 * @copyright	Copyright (C) 2005 - 2010 Open Source Matters. All rights reserved.
@@ -121,7 +121,17 @@
 		// Install shutdown handler if not installed yet
 		if(!$shutdown_handler_installed)
 		{
-			register_shutdown_function(array('JPluginHelper', 'shutdown'));
+			// only register the shutdown function if we are capable of checking the errors (reqs PHP 5.2+)
+			if (version_compare("5.2", phpversion(), "<="))
+			{
+				// you can only register a static method if it is declared static
+				// we can't declare static b/c it breaks on PHP4
+				// therefore we instantiate the helper for this one purpose
+				$pluginHelper = new JPluginHelper;
+				register_shutdown_function(array($pluginHelper, 'shutdown'));
+			}
+			// we may not have installed the handler, but setting this to true
+			// will prevent us from continually running the version compare
 			$shutdown_handler_installed = true;
 		}
 
@@ -212,10 +222,11 @@
 
 	/**
 	 * Shutdown handler called by PHP when executing plugin produces a fatal error
+	 * Only runs in PHP 5.2+, don't call it without checking version first
 	 *
 	 * @access public
 	 */
-	static function shutdown()
+	function shutdown()
 	{
 		global $mainframe;
 		$currentPlugin = $mainframe->get('currentPlugin', NULL);
@@ -262,9 +273,11 @@
 						}
 
 						$uri = JURI::getInstance();
-						$mail->setSubject(JText::sprintf('Problem with Joomla site at %s'), $uri->getHost());
+						$mail->setSubject(JText::sprintf('MAIL_MSG_ADMIN_ERROR_SUBJECT'), $uri->getHost());
 
-						$body = JText::sprintf('When trying to access %s, and error was detected with %s plugin %s and it has been disabled. Technical error description follows:', JURI::current(), $currentPlugin->type, $currentPlugin->name);
+						$body = JText::sprintf(
+							'MAIL_MSG_ADMIN_ERROR', 
+							JURI::current(), $currentPlugin->type, $currentPlugin->name);
 						$body .= "\n";
 						$body .= "\n" . $error['message'];
 						$body .= "\n" . $error['file'] . ' : ' . $error['line'];
diff -aruN --binary 16/libraries/joomla/version.php 17/libraries/joomla/version.php
--- 16/libraries/joomla/version.php	2010-04-23 13:40:18.000000000 +0200
+++ 17/libraries/joomla/version.php	2010-04-27 03:31:16.000000000 +0200
@@ -1,6 +1,6 @@
 <?php
 /**
- * @version		$Id: version.php 16385 2010-04-23 10:44:15Z ian $
+ * @version		$Id: version.php 16503 2010-04-26 17:17:33Z dextercowley $
  * @package	Joomla.Framework
  * @copyright	Copyright (C) 2005 - 2010 Open Source Matters. All rights reserved.
  * @license		GNU/GPL, see LICENSE.php
@@ -26,13 +26,13 @@
 	/** @var string Development Status */
 	var $DEV_STATUS = 'Stable';
 	/** @var int Sub Release Level */
-	var $DEV_LEVEL 	= '16';
+	var $DEV_LEVEL 	= '17';
 	/** @var int build Number */
 	var $BUILD	= '';
 	/** @var string Codename */
-	var $CODENAME 	= 'Wojmamni Ama Busani';
+	var $CODENAME 	= 'Wojmamni ama woobusani';
 	/** @var string Date */
-	var $RELDATE 	= '24-April-2010';
+	var $RELDATE 	= '27-April-2010';
 	/** @var string Time */
 	var $RELTIME 	= '04:00';
 	/** @var string Timezone */
